Lua_DressUpAdditionWindow = class("Lua_DressUpAdditionWindow", Lua_Window);
function Lua_DressUpAdditionWindow:ctor()
	self:superCall("ctor");

	self.w = 209;
	self.h = 244;
	self.windowName = "Lua_DressUpAdditionWindow";
	self.showBlackMask = true;
	self.blackAlpha = 0.1;
	self.showWinBg = true;
	self.winBgAtlas = "common_altas_1";
	self.winBgSprite = "ui_common_window_009";
	self.winBgPosX = 175.5;
	self.winBgPosY = -237;
	self.isClickClose = true;
end

function Lua_DressUpAdditionWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.attrList = Lua_DragList.new(self.content, 170, 210, Lua_AxisDefine.Vertical);
	self.attrList:setLocation(self.winBgPosX, self.winBgPosY, 0);
	self.attrList:setListCell(Lua_DressUpAdditionItem, 170, 30, 1);
end

function Lua_DressUpAdditionWindow:dispose()
	if self.attrList ~= nil then
		self.attrList:dispose();
		self.attrList = nil;
	end
	self:superCall("dispose");
end

function Lua_DressUpAdditionWindow:showWin(param)
	self:superCall("showWin", param);
	self.attrList:setArrayData(param);
end




















Lua_DressUpAdditionItem = class("Lua_DressUpAdditionItem", Lua_ListCell);
function Lua_DressUpAdditionItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_DressUpAdditionItem:buildShowItem()
	self:superCall("buildShowItem");

	self.attrText = UICreate.createLabel(self.content, "", -85, 0, 100, 31, 20);
	self.attrText.pivot = UIUtils.Pivot.Left;
	self.attrText.alignmentValue = 4;
	self.attrText.horizontalOverflowValue = 1;
end

function Lua_DressUpAdditionItem:dispose()
	self.attrText = nil;
	self:superCall("dispose");
end

function Lua_DressUpAdditionItem:setData(data)
	if data == nil then
		return;
	end
	self.attrText.text = data.show_name.." : "..data.showValue;
end